Krita 4.2 Release Task
Open, NormalPublic

Description

Krita release task

Schedule:

Feature freeze 3rd of April (NOW)
String freeze: 1st of May.
Alpha tagging: 5th of May.
Beta tagging: 12th of May
Release: Final week of May.

New features:

These all needs to be tested during alpha/beta/release candidate stage, and closed upon release:

Big bugfixes:

Ref this task when you fix a bug, so that we can make a list here :)

Main release TODO :

  • Coordinate with #kde-promo
  • Notify translators of string freeze!
  • Create release announcement and schedule it for the release data
  • Write release notes. This is a big release, so the big release notes are stored at https://krita.org/en/krita-4-2-release-notes/

Code side:

See also: https://community.kde.org/ReleasingSoftware

  • update 3rdparty dependencies to the latest versions
  • update the version of krita.xmlgui
  • update the CMakeLists.txt version
  • update the appstream file
  • update the snapcraft.yaml file
  • Update the appstream screenshots
  • update org.kde.krita.appdata.xml 's release tag
  • make a v4.2.0 tag (git tag -a vX.Y.Z -m "krita x.y.z" )
  • push the tag ( git push origin --tags)
  • update create_tarball_kf5's config.ini to use the new tag
  • run create_tarball_kf5.rb (./createtarball/create_tarball_kf5.rb -n -a krita)
  • sign the tarball (gpg --output krita-x.y.z.tar.gz.sig --detach-sign krita-x.y.z.tar.gz)
  • upload the tarball and signature
  • Start the binary builds for Windows and Linux appimage (https://phabricator.kde.org/T8231)
  • Start the Mac build
  • mail KDE release coordination <release-team@kde.org>
  • Send release notes for future Krita versions to news@publisher.ch.
  • create bugzilla version
  • Warn kde sysadmins that we're going to release and that krita.org is going to take load
  • Create md5sum file

Packages:

We will mention when packages are done via IRC. You can help us by checking if the package works on your system, and does the following right:

  • Krita starts
  • Localization works
  • Basic painting and most recently fixed bugs are fixed
  • Linux:
    • AppImage x64
    • Snap
    • Notify Krita Lime
  • Windows
    • ZIP64 + DBG
    • installer x64
    • Update Microsoft store.
    • Ask Emmet to update Steam store
  • OSX
    • DMG package

Packages for this release can be found at: https://download.kde.org/unstable/krita/4.2.0/

Communication side:

    1. Pre-release:
  • Update Kiki page
  • Update press pack and page
  • Verify if manual pages are updated, if not annoy @woltherav and add undocumented features to Krita: Manual
  • Notify people that they can start making release demonstrations.
  • Update download page
  • Update IRC topic
Post-release:
  • tumblr (wolthera)
  • BlenderArtists (wolthera)
  • deviantart (wolthera)
  • VK (dmitry)
  • blendernation (boud)
  • twitter (boud)
  • facebook (boud)
  • 3dpro (boud)
  • reddit (raghukamath)

If you have completed a task, add a comment.
If you have anything else to add, add a comment as well! Putting all the comments about a given release into a single task is much easier on the bookkeeping!

woltherav created this task.Apr 4 2019, 3:28 PM
woltherav triaged this task as Normal priority.
woltherav updated the task description. (Show Details)Apr 4 2019, 3:40 PM
woltherav updated the task description. (Show Details)Apr 4 2019, 4:46 PM

NB. Dmitry noted that we have reworked tablet support so much that we might as well at it to the release notes now. We have very little tablet bugs right now in any case :)

woltherav updated the task description. (Show Details)Apr 23 2019, 12:39 PM
rempt updated the task description. (Show Details)May 8 2019, 1:53 PM
rempt updated the task description. (Show Details)May 23 2019, 12:54 PM
rempt updated the task description. (Show Details)May 27 2019, 2:38 PM
rempt updated the task description. (Show Details)May 28 2019, 7:35 AM
rempt updated the task description. (Show Details)
rempt updated the task description. (Show Details)May 28 2019, 7:37 AM
rempt updated the task description. (Show Details)May 28 2019, 8:06 AM
rempt updated the task description. (Show Details)
rempt updated the task description. (Show Details)May 28 2019, 8:08 AM
rempt updated the task description. (Show Details)May 28 2019, 8:23 AM
rempt renamed this task from Krita 4.2 release to Krita 4.2 Release Task.May 28 2019, 9:17 AM
rempt updated the task description. (Show Details)
rempt updated the task description. (Show Details)May 29 2019, 6:51 AM
woltherav updated the task description. (Show Details)May 29 2019, 7:08 AM
rempt updated the task description. (Show Details)Fri, Jul 12, 1:03 PM